> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Daily report

> Retrieve daily counts of new patients, prescriptions and orders. Cancelled prescriptions and orders are excluded from the counts.



## OpenAPI

````yaml /openapi-public.yml get /api/v1/reports/daily
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Prescriptions
    description: Prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/reports/daily:
    get:
      tags:
        - Reports
      summary: Daily report
      description: >-
        Retrieve daily counts of new patients, prescriptions and orders.
        Cancelled prescriptions and orders are excluded from the counts.
      parameters:
        - name: start_date
          in: query
          required: false
          description: >-
            Start date of the date range to report on. Maximum date range is 365
            days. If no dates are provided, the report will include data for the
            past 14 days.
          schema:
            type: string
            format: date
            example: '2025-12-01'
        - name: end_date
          in: query
          required: false
          description: >-
            End date of the date range to report on. Maximum date range is 365
            days. If no dates are provided, the report will include data for the
            past 14 days.
          schema:
            type: string
            format: date
            example: '2025-12-31'
        - name: timezone
          in: query
          required: false
          description: IANA timezone for date grouping. Defaults to UTC.
          schema:
            type: string
            example: America/New_York
      responses:
        '200':
          description: Successful response with an array of counts by day.
          content:
            application/json:
              schema:
                type: object
                properties:
                  date:
                    type: string
                    example: '2025-11-01'
                  patients:
                    type: integer
                    example: 165
                    description: Number of new patients created on the date.
                  prescriptions:
                    type: integer
                    example: 213
                    description: >-
                      Number of new prescriptions received on the date. This
                      does not include transferred prescriptions.
                  orders:
                    type: integer
                    example: 179
                    description: Number of orders received on the date.
                  shipped:
                    type: integer
                    example: 156
                    description: Number of orders shipped on the date.
                  transfers:
                    type: integer
                    example: 101
                    description: Number of transferred prescriptions received on the date.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````